# module-log
Logger for Individual Node.js Module(s)

[![Travis](https://img.shields.io/travis/amandeepmittal/module-log.svg?style=flat-square)](https://travis-ci.org/amandeepmittal/module-log)
[![Codecov](https://img.shields.io/codecov/c/github/amandeepmittal/module-log.svg?style=flat-square)](https://codecov.io/gh/amandeepmittal/module-log)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg?style=flat-square)](http://commitizen.github.io/cz-cli/)
[![npm](https://img.shields.io/npm/v/module-log.svg?style=flat-square)](https://www.npmjs.com/package/module-log)

The idea is that you can set up the name of the module and use pre-defined logging functionalities for each individual module. In terminal window, the output of log statements is going to be according to file (or module) name(s).

Enhancement over normal ol' `console.log()`.

### Installation
```shell
$ npm install module-log --save
```

### Usage
```javascript
const log = require('module-log');

log.setFileName('server.js');
log.log('testing');
log.error('An error occurred!!!');
```

### API
* `setFileName`
  * To set File name of the module to show in console on every log output.
* `log`
* `debug`
* `error`
* `warn`
* `info`

---